MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000499Community[OCCT] OCCT:Data Exchangepublic2002-07-02 15:362011-12-15 17:54
Reporteremo 
Assigned Topdn 
PrioritynoneSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 5.0.0 
Summary0000499: Missing method in ShapeFix_Shape
DescriptionThis request has been added by Fran├žois Lauzon at
http://www.opencascade.org/forumorg/bug.php?bug_id=59&f=8 [^] .


The method Status is missing in file ShapeFix_Shape.lxx, here is (maybe) what it
should be:


//=======================================================================
//function : Status
//purpose :
//=======================================================================

inline Standard_Boolean ShapeFix_Shape::Status (const ShapeExtend_Status
status) const
{
  return ShapeExtend::DecodeStatus ( myStatus, status );
}
TagsNo tags attached.
Test case number
Attached Filesgz file icon ShapeFix_Shape.cxx.gz (1,615 bytes) 2002-07-03 14:45

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2002-07-02 16:17 bugmaster Assigned To bugmaster => pdn
2002-07-02 16:17 bugmaster Status new => assigned
2002-07-03 18:45 bugmaster CC => imv
2002-07-30 12:42 bugmaster Status assigned => verified
2002-08-01 15:19 bugmaster Status verified => closed
2002-08-01 15:19 bugmaster Resolution @0@ => fixed
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2011-12-15 17:54 bugmaster Project Open CASCADE => Community


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker